#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull jlesage/tsmuxer:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep tsMuxeR | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=tsMuxeR \
	-p 26580:5800 \
	-e USER_ID=$C_UID \
	-e GROUP_ID=$ADMIN_GID \
	-e KEEP_APP_RUNNING=1 \
	-e ENABLE_CJK_FONT=1 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/tsMuxeR/config:/config:rw \
	-v /share:/storage:rw \
	--restart unless-stopped \
	jlesage/tsmuxer:latest

docker start tsMuxeR


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep jlesage/tsmuxer | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
